> For the complete documentation index, see [llms.txt](https://docs.mnasati.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mnasati.com/api-methods/list-categories/update-category.md).

# Update Category

<mark style="color:orange;">`PUT`</mark> `https://sandbox.mnasati.com/categories`

#### Request Body

| Name                                                 | Type   | Description           |
| ---------------------------------------------------- | ------ | --------------------- |
| category\_id<mark style="color:red;">\*</mark>       | Int    | Category ID Number    |
| category\_name<mark style="color:red;">\*</mark>     | String | Category Name English |
| category\_name\_ar<mark style="color:red;">\*</mark> | String | Category Name Arabic  |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true,
  "message": "Category updated successfully!"
}
```

{% endtab %}
{% endtabs %}

#### Examples

{% tabs %}
{% tab title="First Tab" %}

```bash
curl --location --request PUT 'https://sandbox.mnasati.com/v1/categories' \
--header 'Authorization-jwt: Jwt eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ2ZW5kb3JfaWQiOiIzIiwidXNlcl9pZCI6IjMzIiwidXNlcl90eXBlIjoidmVuZG9yIiwiZW1haWwiOiJxYTFAdWlndGMuY29tIiwiaWF0IjoxNjMzNTUzMjMzLCJleHAiOjE2Mzg3MzcyMzN9.tMjJ-tTcuvJUhM1zUR2zKC0uR2dSPOA_lmJemm8Gx8Q' \
--data-raw '{
  "category_id":510,
  "category_name":"new categ en",
  "category_name_ar":"new categ arr"
}'
```

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}
